#ifndef __PLATFORM_STM32G0XX_INDEPENDENTWATCHDOG_H__
#define __PLATFORM_STM32G0XX_INDEPENDENTWATCHDOG_H__

#include <cstdint>

#include "stm32g0xx.h"

namespace perinet::platform::stm32g0xx {

class IndependentWatchdog
{
public:
    IndependentWatchdog(uint32_t, uint32_t);
    void enable();
    void trigger();

private:
    uint32_t window;
    uint32_t reload;
};

}

#endif
