#ifndef __PLATFORM_STM32G0XX_UART_H__
#define __PLATFORM_STM32G0XX_UART_H__

#include <cstdint>

#include "stm32g0xx.h"

namespace perinet::platform::stm32g0xx {

class Uart
{
public:
    enum class UartDevice
    {
        UART_1,
        UART_2
    };

    Uart(UartDevice, uint32_t);
    void sync_send(const uint8_t *, uint32_t);
    bool sync_receive(uint8_t*);

private:
    USART_TypeDef   * uart;
};

}

#endif
